> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/security-group/modifysecuritygroupsattribute.md).

# ModifySecurityGroupsAttribute

## 1. 接口描述

本接口(ModifySecurityGroupsAttribute)用于修改安全组的属性（目前只支持修改安全组的名称）。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称              | 必选 | 类型              | 描述                                                |
| ----------------- | -- | --------------- | ------------------------------------------------- |
| securityGroupName | 是  | String          | <p>安全组名称。</p><p>范围1到64个字符，仅支持字母、数字、-和英文句点(.)。</p> |
| securityGroupIds  | 是  | Array of String | <p>一个或多个待操作的安全组ID。</p><p>每次请求批量上限为100。</p>        |
| description       | 否  | String          | <p>安全组描述。</p><p>范围2到256个字符。</p>                   |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量修改安全组的名称。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifySecurityGroupsAttribute
<Common Request Params>

Request:
{
  "securityGroupIds": [
    "791721259766392536"
  ],
  "securityGroupName": "abc12345",
  "description": "123456"
}

Response:
{
  "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA",
  "response": {
    "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                        | 说明                |
| ------- | ---------------------------------------------------------- | ----------------- |
| 403     | OPERATION\_DENIED\_SECURITY\_GROUP\_STATUS\_NOT\_AVAILABLE | 安全组状态不是Available。 |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND                       | 指定的安全组不存在。        |
| 403     | OPERATION\_DENIED\_DEFAULT\_SECURITY\_GROUP\_NOT\_SUPPORT  | 默认安全组不支持。         |
